-- getpar.sql
--
-- procedure getpar(s, inout e, out ds, out i)
-- s: parameter list
-- e: in - start position, out - next start position
-- ds: next parameter name
-- i: 0 - no more parameter, 1 - more paramters

set @@character_set_client = 'utf8';

delimiter //

DROP procedure IF EXISTS getpar//
create procedure getpar(s varchar(3000), inout e integer, OUT ds varchar(600),
                        OUT i integer)
  deterministic
  sql security invoker
 begin

  declare c varchar(1);
  declare f, g, k integer;

  if e < char_length(s)
   then

    while substring(s, e, 1) = ' '
     do
      set e = e+1;
    end while;

    if substring(s, e, 1) = '"' OR substring(s, e, 1) = "'"
     then
      set c = substring(s, e, 1);
      set e = e + 1;
      set f = locate(c, s, e);
      if( f > 0 )
       then
        set ds = substring(s, e, f-e);
        set e = f+1;
      else
        set ds = '';
        set e = char_length(s);
      end if;
    else
      set c = ',';
    end if;

    set f = locate(',', s, e);
    set k = locate(')', s, e);

    if k < f OR f = 0
     then
      set f = k;
      set i = 0;
    else
      set i = 1;
    end if;

    if f > 0
     then
      if c = ','
       then
        set ds = substring(s, e, f-e);
      end if;
      set e = f+1;
    else
      set i = 0;
      set e = char_length(s);
    end if;
  else
    set i = 0;
  end if;

end//

GRANT EXECUTE on PROCEDURE getpar
  to logginglesen@'localhost', loggingadmin@'localhost', logging@'localhost'//
