-- getunitt.sql
--
-- procedure getunitt(nn, out ei, out wt)
-- nn: unit name
-- ei: unit ID (table eiheiten)
-- wt: tablename with values

set @@character_set_client = 'utf8';

delimiter //

DROP procedure IF EXISTS getunitt//
create procedure getunitt(nn varchar(100), out ei integer, out wt varchar(10))
  deterministic
  sql security invoker
 begin
  declare u varbinary(100);
  if nn = '' then
    set u = ' ';
  else
    set u = trim(nn);
  end if;
  set ei = NULL;
  select ID, wtab into ei, wt from einheiten where bname = u;
  if ei is NULL
   then
    select ID, wtab into ei, wt from einheiten where bname = ' ';
  end if;

end//

GRANT EXECUTE on PROCEDURE getunitt to logging@'localhost'//
