-- newzeh.sql
--
-- procedure newzeh(nn, out ei)
-- nn: unitname
-- ei: unit ID (einheiten.ID)
--
-- create new unit for combidetails

set @@character_set_client = 'utf8';

delimiter //

DROP procedure IF EXISTS newzeh//
create procedure newzeh(nn varchar(100), out ei integer)
  deterministic
  sql security invoker
 begin
  declare u varbinary(100);
  if nn = '' then
    set u = ' ';
  else
    set u = trim(nn);
  end if;
  set ei = (select ID from einheiten where bname = u);
  if ei is NULL
   then
    insert ignore into einheiten set bname = u, name = u, einheitenID = '-42652',
      sifaktor = '1', druckflag = '1', plotstyle = 'lines', wtab = 'zwerte', type = 'num';
    select ID into ei from einheiten where bname = u;
    update einheiten set einheitenID = ei where ID = ei and einheitenID='-42652';
  end if;

end//

GRANT EXECUTE on PROCEDURE newzeh to logging@'localhost',logginglesen@'localhost'//
