-- prevofpb.sql
--
-- function prevofpb(wid, todt) returns varchar
-- wid: werteindizesID
-- todt: up to datetime
-- return: first value of the last 2 values before "todt" with werteindizesID == "wid" in table pwerte

-- combined details
-- combined limits

set @@character_set_client = 'utf8';

delimiter //

DROP FUNCTION IF EXISTS prevofpb//
create function prevofpb(wid integer, todt datetime) returns varchar(20)
  deterministic
  sql security invoker
  begin
    return (select wert from pwerte where werteindizesID = wid and datum <= todt order by datum desc limit 1,1);
  end//
