-- prevofs.sql
--
-- function prevofs(wid) returns varchar
-- wid: werteindizesID
-- return: first value of the last 2 values with werteindizesID == "wid" in table swerte

-- combined details
-- combined limits

set @@character_set_client = 'utf8';

delimiter //

DROP FUNCTION IF EXISTS prevofs//
create function prevofs(wid integer) returns varchar(20000)
  deterministic
  sql security invoker
  begin
    return (select wert from swerte where werteindizesID = wid order by datum desc, id desc limit 1,1);
  end//
