-- prevoftb.sql
--
-- function prevoftb(wid, todt) returns varchar
-- wid: werteindizesID
-- todt: up to datetime
-- return: first value of the last 2 values before "todt" with werteindizesID == "wid" in table twerte

-- combined details
-- combined limits

set @@character_set_client = 'utf8';

delimiter //

DROP FUNCTION IF EXISTS prevoftb//
create function prevoftb(wid integer, todt datetime(6)) returns varchar(20000)
  deterministic
  sql security invoker
  begin
    return (select wert from twerte where werteindizesID = wid and datum <= todt order by datum desc, id desc limit 1,1);
  end//
