-- prevofz.sql
--
-- function prevofz(wid) returns varchar
-- wid: werteindizesID
-- return: first value of the last 2 values with werteindizesID == "wid" in table zwerte

-- combined details
-- combined limits

set @@character_set_client = 'utf8';

delimiter //

DROP FUNCTION IF EXISTS prevofz//
create function prevofz(wid integer) returns varchar(20)
  deterministic
  sql security invoker
  begin
    return (select wert from zwerte where werteindizesID = wid order by datum desc limit 1,1);
  end//
