-- quotenl.sql
--
-- function quotenl(s) returns varchar
-- s: string
-- return: s mit Newline -> '\n' und '\' -> '\\'

set @@character_set_client = 'utf8';

delimiter //
DROP FUNCTION IF EXISTS quotenl//
create function quotenl(s varchar(20000)) returns varchar(20000)
  deterministic
  sql security invoker
  begin
    return REPLACE(REPLACE(s, '\\', '\\\\'), '\n', '\\n');
  end//

grant EXECUTE on FUNCTION quotenl to logginglesen@'localhost'//
