-- strlnum.sql
--
-- function strlnum(s) returns varchar
-- s: string
-- return: number at the end of string s

set @@character_set_client = 'utf8';

delimiter //
DROP FUNCTION IF EXISTS strlnum//
create function strlnum(s varchar(200)) returns varchar(200)
  deterministic
  sql security invoker
  begin
    declare i integer;

    set i = char_length(s);
    while i > 0 and '0' <= substring(s,i,1) and substring(s,i,1) <= '9' do
      set i = i - 1;
    end while;
    return substring(s, i + 1);
  end//
