set @@character_set_client = 'utf8';

set @t = (select max(textID)+1 from texte);
insert into texte (textID, lang, text, bemerkung)
 values
  (@t,   'de', 'All', 'limits'),
  (@t,   'en', 'all', 'limits'),
  (@t+1, 'de', 'Alle Werte müssen das Limit erfüllen', 'limits'),
  (@t+1, 'en', 'all values must match', 'limits'),
  (@t+2, 'de', 'Aktuell', 'combidetails,combilimits'),
  (@t+2, 'en', 'actual', 'combidetails,combilimits'),
  (@t+3, 'de', 'aktueller Wert (unabhängig vom Zeitbereich)', 'combidetails,combilimits'),
  (@t+3, 'en', 'actual Value', 'combidetails,combilimits');

set @l = (select lfnr+1 from groupfunctions where code = 'count');
update groupfunctions set lfnr = lfnr + 1 where lfnr >= @l;
insert into groupfunctions
  (lfnr, nameID, code, functionname, functionpars, flags, beschreibungID)
  values
  (@l, @t, 'all', '', '', 'num,str', @t+1);

set @l = (select lfnr+1 from groupfunctions where code = 'value');
update groupfunctions set lfnr = lfnr + 1 where lfnr >= @l;
insert into groupfunctions
  (lfnr, nameID, code, functionname, functionpars, flags, beschreibungID)
  values
  (@l, @t+2, 'actual', 'ACTUAL_OF', '', 'combidetails,combilimits', @t+3);


update groupfunctions set flags = concat('num,', flags) where code = 'prediction';
