set @@character_set_client = 'utf8';

insert into systemvars (name, wert)
  select 'staylogondays', 100
  from dual where not exists (select * from systemvars where name = 'staylogondays');

insert into systemvars (name, wert)
  select 'lastnewcomplimitsID', max(ID)
  from werteindizes where not exists (select * from systemvars where name = 'lastnewcomplimitsID');
insert into systemvars (name, wert)
  select 'grafanaserverreg', ''
  from dual where not exists (select * from systemvars where name = 'grafanaserverreg');
insert into systemvars (name, wert)
  select 'grafanasectionreg', 'System'
  from dual where not exists (select * from systemvars where name = 'grafanasectionreg');
insert into systemvars (name, wert)
  select 'grafanateststepreg', '^System Load|^Dev:|^Net:'
  from dual where not exists (select * from systemvars where name = 'grafanateststepreg');

insert into systemvars (name, wert)
  select 'newaccountmailaddtext', ''
  from dual where not exists (select * from systemvars where name = 'newaccountmailaddtext');
insert into systemvars (name, wert)
  select 'newpasswordmailaddtext', ''
  from dual where not exists (select * from systemvars where name = 'newpasswordmailaddtext');

insert into systemvars (name, wert)
  select 'destinationtestshortmessage', ''
  from dual where not exists (select * from systemvars where name = 'destinationtestshortmessage');
insert into systemvars (name, wert)
  select 'destinationtestlongmessage', ''
  from dual where not exists (select * from systemvars where name = 'destinationtestlongmessage');



GRANT UPDATE (msglevel) ON `logging`.`twertelimits` TO 'logginglesen'@'localhost';
GRANT UPDATE (msglevel) ON `logging`.`tlwertelimits` TO 'logginglesen'@'localhost';
GRANT UPDATE (msglevel) ON `logging`.`tkombilimits` TO 'logginglesen'@'localhost';

GRANT UPDATE (msglevel) ON `logging`.`twertelimits` TO 'logginglesen'@'%';
GRANT UPDATE (msglevel) ON `logging`.`tlwertelimits` TO 'logginglesen'@'%';
GRANT UPDATE (msglevel) ON `logging`.`tkombilimits` TO 'logginglesen'@'%';

GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`cclimits` TO 'logginglesen'@'localhost';
GRANT UPDATE(lastlevel, msglevel) ON `logging`.`tcclimits` TO 'logginglesen'@'localhost';
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`autocclimits` TO 'logginglesen'@'localhost';
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`gautocclimits` TO 'logginglesen'@'localhost';
grant select, insert, update, delete on `logging`.`uttreminder` to 'logginglesen'@'localhost';
grant select, insert, delete on `logging`.`uttnotifications` to 'logginglesen'@'localhost';

GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`cclimits` TO 'logginglesen'@'%';
GRANT UPDATE(lastlevel, msglevel) ON `logging`.`tcclimits` TO 'logginglesen'@'%';
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`autocclimits` TO 'logginglesen'@'%';
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`gautocclimits` TO 'logginglesen'@'%';
grant select, insert, update, delete on `logging`.`uttreminder` to 'logginglesen'@'%';
grant select, insert, delete on `logging`.`uttnotifications` to 'logginglesen'@'%';

grant insert on `logging`.`autocombilimitsmissing` to 'wwwuls'@'localhost';
grant insert on `logging`.`gautocombilimitsmissing` to 'wwwuls'@'localhost';
grant insert on `logging`.`autocombidetailsmissing` to 'wwwuls'@'localhost';
grant insert on `logging`.`gautocombidetailsmissing` to 'wwwuls'@'localhost';

grant insert, delete on `logging`.`autocombilimitsmissing` to 'logginglesen'@'localhost';
grant insert, delete on `logging`.`gautocombilimitsmissing` to 'logginglesen'@'localhost';
grant insert, delete on `logging`.`autocombidetailsmissing` to 'logginglesen'@'localhost';
grant insert, delete on `logging`.`gautocombidetailsmissing` to 'logginglesen'@'localhost';
grant insert, delete on `logging`.`autocombilimitsmissing` to 'logginglesen'@'%';
grant insert, delete on `logging`.`gautocombilimitsmissing` to 'logginglesen'@'%';
grant insert, delete on `logging`.`autocombidetailsmissing` to 'logginglesen'@'%';
grant insert, delete on `logging`.`gautocombidetailsmissing` to 'logginglesen'@'%';

GRANT UPDATE (filterminentries) ON `logging`.`user` TO 'logginglesen'@'localhost';
GRANT UPDATE (filterminentries) ON `logging`.`user` TO 'logginglesen'@'%';

GRANT UPDATE (seen) ON `logging`.`tisalive` TO 'logginglesen'@'localhost';
GRANT UPDATE (seen) ON `logging`.`tisalive` TO 'logginglesen'@'%';

set global event_scheduler = 'ON';

alter table changeprot
  modify `newvalues` varchar(14000) NOT NULL default '';
alter table verfahren
  modify `ID` int unsigned NOT NULL AUTO_INCREMENT;

update mailreportformat set fileextension = 'zip' where format = 'CSV (ZIP)';

update hilfetexte set name = 'autoshow' where name = 'autoauswahl';

alter table werteindizes drop dflag;

update systemvars set wert='1.9.6' where name='dbversion';
