#!/bin/bash
#
# preinst.sh
#
# Pre Install script V 1.9.6
#
###########################################################
#
ULSDIR="$1"
#
if [[ ! -d "$ULSDIR" ]]
 then
  echo "ERROR: ulsdir not set"
  echo "usage: `basename $0` <ULS-BASE-PATH>"
  exit 1
fi
#
# Skript send_message sichern
[[ -f "$ULSDIR/ulsmeld/send_message" ]] && cp -a "$ULSDIR/ulsmeld/send_message" "$ULSDIR/ulsmeld/send_message.preinst"
#
echo "%title ULS-Update
%h2 %'ULS update in progress please wait.'" >"$ULSDIR/html/nouser/index.u2w"
chown uls:ulsuser "$ULSDIR/html/nouser/index.u2w"
#
sed -i 's/rw Kjo= . user/rw Kjo= . nouser/' "$ULSDIR/passwd.dat"
#
#
# Defaulteinstellungen fuer Reporting
#
if [[ ! -f "$ULSDIR/ulsreport.conf" ]]
 then
  cat >"$ULSDIR/ulsreport.conf" <<EOF
# ulsreport.conf
#
# ULS-Report Application
############################
#
ULSREPHOST='localhost:11975'
ULSREPUSER='doreport'
ULSREPPWD='getreport'
EOF
  chown uls:ulsuser "$ULSDIR/ulsreport.conf"
  chmod 640 "$ULSDIR/ulsreport.conf"
fi
