-- cleanorphans.sql
--
-- procedure cleanorphans()
-- 
-- remove values without werteindizesID

-- Verwaiste Werte loeschen

set @@character_set_client = 'utf8';

delimiter //

DROP procedure IF EXISTS cleanorphans//
create procedure cleanorphans()
  deterministic
  sql security invoker
  begin
    create temporary table wi
      ( primary key (id) )
      select ID from werteindizes;

    select now() as 'check cwerte';
    create temporary table wiz (primary key(werteindizesID))
      select distinct werteindizesID from cwerte;
    create temporary table wiw (primary key(werteindizesID))
      select distinct werteindizes.ID as werteindizesID
      from werteindizes
      join teststepdetails on teststepdetails.ID = teststepdetailsID
      join einheiten on einheiten.ID = einheitID and wtab = 'cwerte';
    delete wiz from wiz join wiw using(werteindizesID);
    select count(*) as 'found' from wiz;
    if (select count(*) as 'found' from wiz) > 0 then
      select now() as 'delete from cwerte';
      delete cwerte from cwerte join wiz using(werteindizesID);
    end if;
    drop temporary table wiz, wiw;

    select now() as 'check pwerte';
    create temporary table wiz (primary key(werteindizesID))
      select distinct werteindizesID from pwerte;
    create temporary table wiw (primary key(werteindizesID))
      select distinct werteindizes.ID as werteindizesID
      from werteindizes
      join teststepdetails on teststepdetails.ID = teststepdetailsID
      join einheiten on einheiten.ID = einheitID and wtab = 'pwerte';
    delete wiz from wiz join wiw using(werteindizesID);
    select count(*) as 'found' from wiz;
    if (select count(*) as 'found' from wiz) > 0 then
      select now() as 'delete from pwerte';
      delete pwerte from pwerte join wiz using(werteindizesID);
    end if;
    drop temporary table wiz, wiw;

    select now() as 'check swerte';
    create temporary table wiz (primary key(werteindizesID))
      select distinct werteindizesID from swerte;
    create temporary table wiw (primary key(werteindizesID))
      select distinct werteindizes.ID as werteindizesID
      from werteindizes
      join teststepdetails on teststepdetails.ID = teststepdetailsID
      join einheiten on einheiten.ID = einheitID and wtab = 'swerte';
    delete wiz from wiz join wiw using(werteindizesID);
    select count(*) as 'found' from wiz;
    if (select count(*) as 'found' from wiz) > 0 then
      select now() as 'delete from swerte';
      delete swerte from swerte join wiz using(werteindizesID);
    end if;
    drop temporary table wiz, wiw;

    select now() as 'check zwerte';
    create temporary table wiz (primary key(werteindizesID))
      select distinct werteindizesID from zwerte;
    create temporary table wiw (primary key(werteindizesID))
      select distinct werteindizes.ID as werteindizesID
      from werteindizes
      join teststepdetails on teststepdetails.ID = teststepdetailsID
      join einheiten on einheiten.ID = einheitID and wtab = 'zwerte';
    delete wiz from wiz join wiw using(werteindizesID);
    select count(*) as 'found' from wiz;
    if (select count(*) as 'found' from wiz) > 0 then
      select now() as 'delete from zwerte';
      delete zwerte from zwerte join wiz using(werteindizesID);
    end if;
    drop temporary table wiz, wiw;

    select now() as 'check bwerte';
    create temporary table wiz (primary key(werteindizesID))
      select distinct werteindizesID from bwerte;
    create temporary table wiw (primary key(werteindizesID))
      select distinct werteindizes.ID as werteindizesID
      from werteindizes
      join teststepdetails on teststepdetails.ID = teststepdetailsID
      join einheiten on einheiten.ID = einheitID and wtab = 'bwerte';
    delete wiz from wiz join wiw using(werteindizesID);
    select count(*) as 'found' from wiz;
    if (select count(*) as 'found' from wiz) > 0 then
      select now() as 'delete from bwerte';
      delete bwerte from bwerte join wiz using(werteindizesID);
    end if;
    drop temporary table wiz, wiw;

    select now() as 'check twerte';
    create temporary table wiz (primary key(werteindizesID))
      select distinct werteindizesID from twerte;
    create temporary table wiw (primary key(werteindizesID))
      select distinct werteindizes.ID as werteindizesID
      from werteindizes
      join teststepdetails on teststepdetails.ID = teststepdetailsID
      join einheiten on einheiten.ID = einheitID and wtab = 'twerte';
    delete wiz from wiz join wiw using(werteindizesID);
    select count(*) as 'found' from wiz;
    if (select count(*) as 'found' from wiz) > 0 then
      select now() as 'delete from twerte';
      delete twerte from twerte join wiz using(werteindizesID);
    end if;
    drop temporary table wiz, wiw;

  end//

GRANT EXECUTE on PROCEDURE cleanorphans to loggingadmin@'localhost'//
