-- newwid.sql
--
-- procedure newwid(sid, sec, tst, det, aid, out wid)
-- sid: serverID
-- sec: sectionID
-- tst: teststepID
-- det: detailID
-- aid: accessID
-- wid: werteindizesID
--
-- select or create werteindizes element

set @@character_set_client = 'utf8';

delimiter //

DROP procedure IF EXISTS newwid//
create procedure newwid(sid integer, sec integer, tst integer, det integer, aid integer,
                        out wid integer)
  deterministic
  sql security invoker
 begin
  declare wi integer;

  set wi = (select min(ID) from werteindizes
    where serverID = sid and sectionID = sec and teststepID = tst
      and teststepdetailsID=det and accessID = aid);
  if wi is NULL then
    if sid != 0 AND sec != 0 AND tst != 0 AND det != 0 AND aid != 0 then
      insert ignore into werteindizes set serverID = sid, sectionID = sec, teststepID = tst,
        teststepdetailsID=det, accessID=aid,
        mindesttage = (select mindesttage from access where ID = aid);
      select min(ID) into wi from werteindizes
        where serverID = sid and sectionID = sec and teststepID = tst
          and teststepdetailsID = det and accessID = aid;
      if wi = last_insert_id() then
        insert ignore into letztewerte set ID = wi;
        call newautos(wi, sid, sec, tst, det, aid);
      end if;
    end if;
  end if;

  set wid = wi;

end//

GRANT EXECUTE on PROCEDURE newwid to logging@'localhost'//
