-- prepmailzielstmt.sql
--
-- procedure prepmailzielstmt()
-- string für %option Elemente des Users @userid vorbereiten
--
-- Aufruf als:
--   %mysqlwrite("call prepmailzielstmt()")
--   %option z%mysqlvalue(0) " " %mysqlread("execute mmz"), %mysqlvalue(3);

set @@character_set_client = 'utf8';

delimiter //

DROP PROCEDURE IF EXISTS prepmailzielstmt//
create procedure prepmailzielstmt()
deterministic
sql security invoker
begin
  prepare mmz from
  'select concat(meldungsziele.ID, \':"\', meldungszielarten.name, \':\', kurzname, \'":"\', replace(ziel, \',\', \', \'),\'"\') as oc
   from meldungsziele
   join meldungszielarten on meldungszielarten.ID = meldungszielartenID AND find_in_set(\'mailreport\', flags)
   join (select distinct meldzielID
         from verfahrenmeldziele
         join uvaccess on uvaccess.userID = @userid and uvaccess.verfahrenID = verfahrenmeldziele.verfahrenID
         union distinct
         select distinct meldzielID
         from gruppenmeldziele
         join usergruppen on usergruppen.userID = @userid and usergruppen.gruppenID = gruppenmeldziele.gruppenID
        ) as mz on mz.meldzielID = meldungsziele.ID
   order by meldungszielarten.name, kurzname';
end//
