-- prevofp.sql
--
-- function prevofp(wid) returns varchar
-- wid: werteindizesID
-- return: first value of the last 2 values with werteindizesID == "wid" in table pwerte

-- combined details
-- combined limits

set @@character_set_client = 'utf8';

delimiter //

DROP FUNCTION IF EXISTS prevofp//
create function prevofp(wid integer) returns varchar(20)
  deterministic
  sql security invoker
  begin
    return (select wert from pwerte where werteindizesID = wid order by datum desc limit 1,1);
  end//
