-- prevoft.sql
--
-- function prevoft(wid) returns varchar
-- wid: werteindizesID
-- return: first value of the last 2 values with werteindizesID == "wid" in table twerte

-- combined details
-- combined limits

set @@character_set_client = 'utf8';

delimiter //

DROP FUNCTION IF EXISTS prevoft//
create function prevoft(wid integer) returns varchar(20000)
  deterministic
  sql security invoker
  begin
    return (select wert from twerte where werteindizesID = wid order by datum desc, id desc limit 1,1);
  end//
