-- testgwid.sql
--
-- function testgwid(gid, wid) returns boolean
-- gid: groupID
-- wid: werteindizesID
-- return: has group with ID groupID access to werteindiesID

-- testen, ob Gruppe (gid) Zugriff auf werteindizesID (wid) hat

set @@character_set_client = 'utf8';

delimiter //
DROP FUNCTION IF EXISTS testgwid//
create function testgwid(gid integer, wid integer) returns boolean
  deterministic
  sql security invoker
  begin
    return exists (select *
        from werteindizes
        join server on server.ID = werteindizes.serverID
        join gruppenrechte
          on gruppenrechte.gruppenID = gid and gruppenrechte.verfahrenID = server.verfahrenID
        where werteindizes.ID = wid);
  end//

GRANT EXECUTE on FUNCTION testgwid to logginglesen@'localhost', loggingtest@'localhost'//
