-- testlwid.sql
--
-- function testlwid(uid, lwid) returns boolean
-- uid: userID
-- lwid: lwerteindizesID
-- return: has userID access to lwerteindizesID

set @@character_set_client = 'utf8';

delimiter //
DROP FUNCTION IF EXISTS testlwid//
create function testlwid(uid integer, lwid integer) returns boolean
  deterministic
  sql security invoker
  begin
    return (select count(*)
            from lwerteindizes, server, uvaccess
            where lwerteindizes.ID = lwid and serverID = server.ID and userID = uid
              and server.verfahrenID = uvaccess.verfahrenID
              and uvaccess.accessID = werteindizes.accessID) > 0;
  end//

GRANT EXECUTE on FUNCTION testlwid to logginglesen@'localhost', loggingtest@'localhost'//
