set @@character_set_client = 'utf8';

alter table ausgaben
  modify `showelements` varchar(200) NOT NULL DEFAULT '';
update ausgaben set showelements = concat(showelements, ',filtercol')
  where find_in_set('tefilter', showelements) and not find_in_set('telast', showelements)
    and not find_in_set('filtercol', showelements);
update ausgaben set showelements = concat(showelements, ',nofltrcol')
  where find_in_set('tefilter', showelements) and find_in_set('telast', showelements)
    and not find_in_set('nofltrcol', showelements);
update ausgaben set showelements = replace(showelements, 'tperiod', 'tperiod,tlflag')
  where code not regexp '^lst|^my' and find_in_set('tperiod', showelements);


select max(textID) into @ti from texte;

insert into texte
  (textID, lang, text, bemerkung)
 values
  (@ti+1, 'de', 'Kompr.-Kombilimits', 'ausgaben'),
  (@ti+1, 'en', 'aggr.-combilimits', 'ausgaben'),
  (@ti+2, 'de', 'Kompr.-Kombilimits Übersicht', 'ausgaben'),
  (@ti+2, 'en', 'aggr.-combilimits overview', 'ausgaben');

select lfnr into @lfi from ausgaben where code = 'combilim';
update ausgaben set lfnr = lfnr+1 where lfnr > @lfi;
select lfnr into @lfil from ausgaben where code = 'lstcombilim';
update ausgaben set lfnr = lfnr+1 where lfnr > @lfil;

insert into ausgaben
  (lfnr, nameID, code, reportflag, adminflag, zeitraumflag, showelements)
 values
  (@lfi+1,  @ti+1, 'cclim',    '0', '1', '0', 'tgrpsel,tdomsel,tclasel,tsstsel,tdsel'),
  (@lfil+1, @ti+2, 'lstcclim', '1', '0', '0', 'tgrpsel,tdomsel,tclasel,tsstsel,tdsel,tsep,tpbreaks,tperiod');

update ausgaben set showelements = 'tgrpsel,tdomsel,tclasel,tsstsel,tdsel'
  where find_in_set(code, 'lim,isalive,comprlim,combilim,cclim,rettime,compression,combidet,ccdet,detrem');
update ausgaben set showelements = 'tgrpsel,tdomsel,tclasel,tsstsel,tdsel,tsep'
  where code like 'lst%';
